PPCGeeks

PPCGeeks (http://forum.ppcgeeks.com/)
-   HTC Touch Pro 2 (http://forum.ppcgeeks.com/htc-touch-pro-2/)
-   -   Sprint Navigation says subscription req'd (http://forum.ppcgeeks.com/htc-touch-pro-2/93739-sprint-navigation-says-subscription-reqd.html)

LiquidX 02-04-2010 08:50 PM

Re: Sprint Navigation says subscription req'd
 
hey elmer, sprint got rid of the self-service phone repair online, so you might want to take that out of your sig, just an fyi

Mojary 02-04-2010 11:49 PM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by jdmsohc22 (Post 1541823)
Thanks for that... :)

I just got off the phone with sprint and what I've come to find out is that the Sprint Navigation 2_1_40_0.cab that is clearly listed everywhere to be for the TP2, is not offered by Sprint for the TP2... They use TeleNav_Sprint_PPC_5.5.18.cab as per Sprint Advanced Tech Support... So now I got my navigation working via TeleNav's navigation, but it leaves the unanswered question of why is there a Sprint Navigation going around for the TP2 if it doesn't work for the TP2 and I got no answer on that other than Sprint doesn't offer it or recommend it... But the other question I couldn't figure out an answer to is why did I get an email about 10 minutes after I got off the phone with TeleNav saying that "Your service is extended to 2010-05-04"..?? So I guess it's another call to TeleNav to figure out what's going on here, but I just wanted to note that it's not a MightyRom issue because UnitMonster is having the same problem as me and he's using Caulkins TP2 ROM...

that's good to hear you at least got it to finally work for you. that's kinda crazy what sprint tech support told you regarding the version 2.1.4. reason being that sprint phones are sold with that version installed. and they sure as hell have not done any OTA updates.

which leads me to believe that what elmerfudpucker said is correct. that they roll out their phones with the 2.1.4 version and if somebody have the patience to raise a howl, they will roll out the 5.5.18 version. the real telenav application even though telenav says it's a no no. but at least sprint wouldn't have to deal with you until the account expires again at telenav's end next year.

have you gotten a chance to read through the thread in the link i posted? there are two ways they talk about to prevent your telenav from giving you the "account expired" message. there's also a cab file for the file switchings needed to be done. but make sure you read through the explanation of both solutions. because even though they do the same thing, the cab totally over-writes your sprint nav files with some name switching (to make your phone think telenav is still sprint nav). and the manual one gives you the option to just copy and rename folders. the cab was created by DomSim. the solutions are in pages 2-5.

JDM_SOHC 02-06-2010 10:59 PM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by elmerfudpucker (Post 1541850)
The problem is Sprint is contracted for 2.1.4 but is handing out 5.5.18 and Telenav wants to charge for 5.5.18 I had the same nightmare back with my TP. After the sprint rep OTA me a link to 5.5 the first time. I battled both of them 5 different times before they downed me to 2.1. to fix it.

Well the issue I'm curious about now is that 5.5.18 is what sprint texted me as the navigation software for my phone but from what I see/hear it's the TeleNav for the TP1 and not the TP2, which is 5.5.24...?? The Sprint Advance Tech said that the .18 is what I'm supposed to use and I won't be charged, but visually I don't even see a different in .18 or .24 anyways... I just wonder if by using the 5.5.24 version thats offered by TeleNav if they could charge me somehow, even though I get free navigation through my plan..

JDM_SOHC 02-07-2010 01:51 AM

Re: Sprint Navigation says subscription req'd
 
edited...

Mojary 02-07-2010 02:21 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by jdmsohc22 (Post 1547095)
Well the issue I'm curious about now is that 5.5.18 is what sprint texted me as the navigation software for my phone but from what I see/hear it's the TeleNav for the TP1 and not the TP2, which is 5.5.24...?? The Sprint Advance Tech said that the .18 is what I'm supposed to use and I won't be charged, but visually I don't even see a different in .18 or .24 anyways... I just wonder if by using the 5.5.24 version thats offered by TeleNav if they could charge me somehow, even though I get free navigation through my plan..

i doubt that telenav themselves will charge you because you dont have the nav subscription thru them and they dont have your billing information, sprint does.. unless you have a separate subscription with telenav. the worse that can happen is you will get the "expired" message again. and if there's ever a bill for the nav on your sprint statement, you can always call sprint to get it taken off because your plan includes sprint nav.

JDM_SOHC 02-07-2010 02:25 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by Mojary (Post 1547438)
i doubt that telenav themselves will charge you because you dont have the nav subscription thru them and they dont have your billing information, sprint does.. unless you have a separate subscription with telenav. the worse that can happen is you will get the "expired" message again. and if there's ever a bill for the nav on your sprint statement, you can always call sprint to get it taken off because your plan includes sprint nav.

Yeah I made sure that I wasn't gonna be charged with anything and sprint guaranteed I wouldn't and if I did they'd take care of the charges, so than I should run the 5.5.24 since it's for our phones than right, and not the 5.5.18 that's for the TP1..?? I honestly don't see a difference in either of them, but I'm just not sure of the logistics, if one is meant for the other they should with whatever their made for is what I'd assume..

Mojary 02-07-2010 02:52 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by jdmsohc22 (Post 1547448)
Yeah I made sure that I wasn't gonna be charged with anything and sprint guaranteed I wouldn't and if I did they'd take care of the charges, so than I should run the 5.5.24 since it's for our phones than right, and not the 5.5.18 that's for the TP1..?? I honestly don't see a difference in either of them, but I'm just not sure of the logistics, if one is meant for the other they should with whatever their made for is what I'd assume..

yeah i dont think it'll matter which one you use. i didn't see any difference in their website for the tp2 & pro. the .18 & .24 are just versions (.24 being the latest).

Da1stIG 02-07-2010 07:17 AM

Re: Sprint Navigation says subscription req'd
 
A simple hard reset worked for me

krid80 02-07-2010 11:15 AM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by Da1stIG (Post 1547677)
A simple hard reset worked for me

launch it, properly exit it and relaunch it. see if you get the problem again.

JDM_SOHC 02-07-2010 12:31 PM

Re: Sprint Navigation says subscription req'd
 
Quote:

Originally Posted by Mojary (Post 1547496)
yeah i dont think it'll matter which one you use. i didn't see any difference in their website for the tp2 & pro. the .18 & .24 are just versions (.24 being the latest).

Yeah I dont see a visual difference whatsoever, so I may just stick with the .18 which sprint said wouldn't expire and not even tempt the other .24 version, thanks for your help brotha.. you've been thanked...


All times are GMT -4. The time now is 05:15 AM.

Powered by vBulletin® ©2000 - 2020, Jelsoft Enterprises Ltd.
©2012 - PPCGeeks.com


Content Relevant URLs by vBSEO 3.6.0